summaryrefslogtreecommitdiffstats
path: root/system/EpsonTMXCUPS
diff options
context:
space:
mode:
author Adan Calderon <adancalderon@gmail.com>2024-05-24 12:20:04 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-05-24 13:01:00 +0700
commitbd8a99ace2ddf2de540578fe85b1598cf4749f3e (patch)
treefe2c9d41062d91795056fbcc0a8cb3db113c1059 /system/EpsonTMXCUPS
parent5722ee8074c07748b1153d91fc0138d2cc91a155 (diff)
downloadslackbuilds-bd8a99ace2ddf2de540578fe85b1598cf4749f3e.tar.gz
slackbuilds-bd8a99ace2ddf2de540578fe85b1598cf4749f3e.tar.xz
system/EpsonTMXCUPS: Added (EPSON Thermal Driver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/EpsonTMXCUPS')
-rw-r--r--system/EpsonTMXCUPS/EpsonTMXCUPS.SlackBuild124
-rw-r--r--system/EpsonTMXCUPS/EpsonTMXCUPS.info10
-rw-r--r--system/EpsonTMXCUPS/README20
-rw-r--r--system/EpsonTMXCUPS/doinst.sh4
-rw-r--r--system/EpsonTMXCUPS/slack-desc19
5 files changed, 177 insertions, 0 deletions
diff --git a/system/EpsonTMXCUPS/EpsonTMXCUPS.SlackBuild b/system/EpsonTMXCUPS/EpsonTMXCUPS.SlackBuild
new file mode 100644
index 0000000000..e6c7e4ee6a
--- /dev/null
+++ b/system/EpsonTMXCUPS/EpsonTMXCUPS.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/bash
+#
+# Slackware Package build script for Epson TM Series Receipt Printer
+# drivers for CUPS under Linux
+#
+# Copyright 2024 Adan Calderon | adancalderon@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=EpsonTMXCUPS
+VERSION=${VERSION:-3.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+OUTPUT=${OUTPUT:-/tmp}
+INSTALL=/usr/bin/install
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ LIB="lib"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIB="lib64"
+else
+ LIB="lib"
+fi
+
+FILTERDIR=$PKG/usr/$LIB/cups/filter
+PPDDIR=$PKG/usr/share/cups/model/EPSON
+DOCDIR=$PKG/usr/doc/EpsonTMXCUPS-3.0.0
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $FILTERDIR $PPDDIR $DOCDIR
+cd $TMP
+rm -rf tmx-cups-src-ImpactReceipt-3.0.0.0_pck
+rm -rf $PRGNAM-$VERSION
+cp $CWD/README $DOCDIR
+cp $CWD/EpsonTMXCUPS.SlackBuild $DOCDIR
+unzip $CWD/tmx-cups-src-ImpactReceipt-3.0.0.0_pck_e.zip
+cd tmx-cups-src-ImpactReceipt-3.0.0.0_pck
+tar xvfz tmx-cups-src-ImpactReceipt-3.0.0.0.tar.gz
+tar xvfz tmx-cups-src-ImpactSlip-3.0.0.0.tar.gz
+tar xvfz tmx-cups-src-ThermalReceipt-3.0.0.0.tar.gz
+
+cd Impact\ Receipt 2>/dev/null
+./build.sh
+#Installing filter driver
+$INSTALL -s ./build/rastertotmir $FILTERDIR
+
+#Installing ppd files
+$INSTALL -m 755 -d $PPDDIR
+$INSTALL -m 755 ./ppd/*.ppd $PPDDIR
+
+#Copying DOCs
+cp README $DOCDIR/README.ir
+cd .. 2>/dev/null
+
+cd Impact\ Slip 2>/dev/null
+./build.sh
+
+#Installing filter driver
+$INSTALL -s ./build/rastertotmis $FILTERDIR
+
+#Installing ppd files
+$INSTALL -m 755 -d $PPDDIR
+$INSTALL -m 755 ./ppd/*.ppd $PPDDIR
+
+#Copying DOCs
+cp README $DOCDIR/README.is
+cd .. 2>/dev/null
+
+cd Thermal\ Receipt 2>/dev/null
+./build.sh
+
+#Installing filter driver
+$INSTALL -s ./build/rastertotmtr $FILTERDIR
+
+#Installing ppd files
+$INSTALL -m 755 -d $PPDDIR
+$INSTALL -m 755 ./ppd/*.ppd $PPDDIR
+
+#Copying DOCs
+cp README $DOCDIR/README.tr
+cd .. 2>/dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/EpsonTMXCUPS/EpsonTMXCUPS.info b/system/EpsonTMXCUPS/EpsonTMXCUPS.info
new file mode 100644
index 0000000000..d34975d88c
--- /dev/null
+++ b/system/EpsonTMXCUPS/EpsonTMXCUPS.info
@@ -0,0 +1,10 @@
+PRGNAM="EpsonTMXCUPS"
+VERSION="3.0.0"
+HOMEPAGE="https://download.epson-biz.com/modules/pos/index.php?page=single_soft&cid=6918"
+DOWNLOAD="https://download3.ebz.epson.net/dsc/f/03/00/15/35/42/b1a708bb8b21d7a68ae7394287db440974b68a0e/tmx-cups-src-ImpactReceipt-3.0.0.0_pck_e.zip"
+MD5SUM="313283e1c927fe011895ca2e44d28eb5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Adan Calderon"
+EMAIL="adancalderon@gmail.com"
diff --git a/system/EpsonTMXCUPS/README b/system/EpsonTMXCUPS/README
new file mode 100644
index 0000000000..95fdd369ac
--- /dev/null
+++ b/system/EpsonTMXCUPS/README
@@ -0,0 +1,20 @@
+These are the Epson TM Series receipt printer drivers for CUPS
+They are distributed under the GPL version 2.
+
+Epson's new support site (https://epson.sn/) does not seem
+to list them.
+
+Supported Models are as follows:
+
+Impact Receipt:
+TM-U220
+
+Impact Slip:
+TM-H6000V
+
+Thermal Receipt:
+TM-H6000V, TM-m10, TM-m30, TM-m30II, TM-m30II-H, TM-m30II-NT,
+TM-m30II-S, TM-m30II-SL, TM-m30III, TM-m30III-H, TM-m50,
+TM-m50II, TM-m50II-H, TM-T20III, TM-T20IIIL, TM-T20X, TM-T81III,
+TM-T82III, TM-T82IIIL, TM-T82X, TM-T83III, TM-T88VI, TM-T88VII,
+TM-T100, TM-L100
diff --git a/system/EpsonTMXCUPS/doinst.sh b/system/EpsonTMXCUPS/doinst.sh
new file mode 100644
index 0000000000..e66b68ce38
--- /dev/null
+++ b/system/EpsonTMXCUPS/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /etc/rc.d/rc.cups ]; then
+ /etc/rc.d/rc.cups stop
+ /etc/rc.d/rc.cups start
+fi
diff --git a/system/EpsonTMXCUPS/slack-desc b/system/EpsonTMXCUPS/slack-desc
new file mode 100644
index 0000000000..b0a40f8524
--- /dev/null
+++ b/system/EpsonTMXCUPS/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+EpsonTMXCUPS: EpsonTMXCUPS (Epson TM Series receipt printer drivers for CUPS.)
+EpsonTMXCUPS:
+EpsonTMXCUPS: Impact Receipt: TM-U220
+EpsonTMXCUPS:
+EpsonTMXCUPS: Impact Slip: TM-H6000V
+EpsonTMXCUPS:
+EpsonTMXCUPS: Thermal Receipt: TM-H6000V, TM-m10, TM-m30, TM-m30II, TM-m30II-H,
+EpsonTMXCUPS: TM-m30II-NT, TM-m30II-S, TM-m30II-SL, TM-m30III, TM-m30III-H,
+EpsonTMXCUPS: TM-m50, TM-m50II, TM-m50II-H, TM-T20III, TM-T20IIIL, TM-T20X,
+EpsonTMXCUPS: TM-T81III, TM-T82III, TM-T82IIIL, TM-T82X, TM-T83III, TM-T88VI,
+EpsonTMXCUPS: TM-T88VII, TM-T100, TM-L100